<?php
// body
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_body_typo',
	'label'       => esc_html__( 'Body', 'narihealth' ),
	'section'     => 'narihealth_section_body_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_body_typo_color',
	'label'			 => esc_html__( 'Color', 'narihealth' ),
	'section'		 => 'narihealth_section_body_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( 'body' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// h1
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_h1_typo',
	'label'       => esc_html__( 'H1', 'narihealth' ),
	'section'     => 'narihealth_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h1, .elementor-widget-heading h1.elementor-heading-title',
		),
	),
) );

// h2
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_h2_typo',
	'label'       => esc_html__( 'H2', 'narihealth' ),
	'section'     => 'narihealth_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h2, .elementor-widget-heading h2.elementor-heading-title',
		),
	),
) );

// h3
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_h3_typo',
	'label'       => esc_html__( 'H3', 'narihealth' ),
	'section'     => 'narihealth_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h3, .elementor-widget-heading h3.elementor-heading-title',
		),
	),
) );

// h4
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_h4_typo',
	'label'       => esc_html__( 'H4', 'narihealth' ),
	'section'     => 'narihealth_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h4, .elementor-widget-heading h4.elementor-heading-title',
		),
	),
) );

// h5
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_h5_typo',
	'label'       => esc_html__( 'H5', 'narihealth' ),
	'section'     => 'narihealth_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h5, .elementor-widget-heading h5.elementor-heading-title',
		),
	),
) );

// h6
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_h6_typo',
	'label'       => esc_html__( 'H6', 'narihealth' ),
	'section'     => 'narihealth_section_headings_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h6, .elementor-widget-heading h6.elementor-heading-title',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_mobile_headings_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_headings_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Heading Settings For Small Screens. Specify only if required.', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

// h1 mobile
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h1_size_mobile',
    'label'   				=>  esc_html__('H1 Font Size', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h1_lh_mobile',
    'label'   				=>  esc_html__('H1 Line Height', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

// h2 mobile
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h2_size_mobile',
    'label'   				=>  esc_html__('H2 Font Size', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h2_lh_mobile',
    'label'   				=>  esc_html__('H2 Line Height', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

// h3 mobile
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h3_size_mobile',
    'label'   				=>  esc_html__('H3 Font Size', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h3_lh_mobile',
    'label'   				=>  esc_html__('H3 Line Height', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

// h4 mobile
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h4_size_mobile',
    'label'   				=>  esc_html__('H4 Font Size', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h4_lh_mobile',
    'label'   				=>  esc_html__('H4 Line Height', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

// h5 mobile
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h5_size_mobile',
    'label'   				=>  esc_html__('H5 Font Size', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h5_lh_mobile',
    'label'   				=>  esc_html__('H5 Line Height', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

// h6 mobile
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h6_size_mobile',
    'label'   				=>  esc_html__('H6 Font Size', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_h6_lh_mobile',
    'label'   				=>  esc_html__('H6 Line Height', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_headings_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

// default link
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_default_link_color',
	'label'			 => esc_html__( 'Link Color', 'narihealth' ),
	'section'		 => 'narihealth_section_default_link',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( 'a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// default link hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_default_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_default_link',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( 'a:hover' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// logo font
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_header_logo_typo',
	'label'       => esc_html__( 'Text Logo : Default', 'narihealth' ),
	'section'     => 'narihealth_section_logo_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.logo-default',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_header_scroll_logo_typo',
	'label'       => esc_html__( 'Text Logo : Alt', 'narihealth' ),
	'section'     => 'narihealth_section_logo_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.logo-alt',
		),
	),
) );

// button
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_btn_settings',
	'section'	 => 'narihealth_section_buttons_typo',
	'default'	 => '<div style="padding: 10px 20px;background-color: #333; color: #fff;">' . esc_html__( 'General Buttons', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_button_typo',
	'label'       => esc_html__( 'Buttons Typo', 'narihealth' ),
	'section'     => 'narihealth_section_buttons_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-btn, button, .wp-block-button__link',
		),
	),
) );

// contact form button
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_contact_btn_settings',
	'section'	 => 'narihealth_section_buttons_typo',
	'default'	 => '<div style="padding: 10px 20px;background-color: #333; color: #fff;">' . esc_html__( 'Form Buttons', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_contact_button_typo',
	'label'       => esc_html__( 'Buttons Typo', 'narihealth' ),
	'section'     => 'narihealth_section_buttons_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"], #submit',
		),
	),
) );

// border_width
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'number',
	'settings'		 => 'narihealth_contact_button_border_width',
	'label'			 => esc_html__( 'Border Width', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'default'     	 => '0',

	'transport'   => 'auto',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"],#submit',
			'property'	 => 'border-width',
			'units'      => 'px',
		)
	),
	'choices'     => array(
		'min'  => 0,
		'max'  => 5,
		'step' => 1,
	),
	'priority'		 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_contact_btn_bg_color',
	'label'			 => esc_html__( 'Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"], #submit',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_contact_btn_border_color',
	'label'			 => esc_html__( 'Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"], #submit',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_contact_btn_color',
	'label'			 => esc_html__( 'Text Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn, .dtr-form .dtr-btn, input[type="submit"], input[type="reset"], button[type="submit"], #submit',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );
// buttons hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_contact_btn_hover_bg_color',
	'label'			 => esc_html__( 'Hover - Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn:hover, .dtr-form .dtr-btn:hover, .dtr-form button:hover, input[type="submit"]:hover, input[type="reset"]:hover, button[type="submit"]:hover, #submit:hover',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_contact_btn_hover_border_color',
	'label'			 => esc_html__( 'Hover - Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn:hover, .dtr-form .dtr-btn:hover, .dtr-form button:hover, input[type="submit"]:hover, input[type="reset"]:hover, button[type="submit"]:hover, #submit:hover',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_contact_btn_hover_color',
	'label'			 => esc_html__( 'Hover - Text Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-form-btn:hover, .dtr-form .dtr-btn:hover, .dtr-form button:hover, input[type="submit"]:hover, input[type="reset"]:hover, button[type="submit"]:hover, #submit:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// read more
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_read_more_typo',
	'label'       => esc_html__( 'Blog Read More', 'narihealth' ),
	'section'     => 'narihealth_section_buttons_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'color'      	 => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-post__button',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_readmore_bg_color',
	'label'			 => esc_html__( 'Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-post__button',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_readmore_border_color',
	'label'			 => esc_html__( 'Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-post__button',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_readmore_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-post__button:hover',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_readmore_hover_color',
	'label'			 => esc_html__( 'Hover: Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-post__button:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_readmore_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-post__button:hover',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );