<?php
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'checkbox',
	'settings'    => 'narihealth_enable_widget_group_style',
	'label'       => esc_html__( 'Enable Style to Group in Sidebar', 'narihealth' ),
	'section'	  => 'narihealth_side_widget_section',
	'default'     => '1',
	'priority'    => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_group_widgets_bg_Color',
	'label'			 => esc_html__( 'Background Color for Group', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-group',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_group_widgets_icon_Color',
	'label'			 => esc_html__( 'Right Icon Color', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-group::after',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_group_widgets_btmborder_Color',
	'label'			 => esc_html__( 'Border Bottom Color - To First Element of Widget Group (Heading)', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-group .wp-block-heading:first-child',
			'property'	=> 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

// slidebar link
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_sidebar_widget_color',
	'label'			 => esc_html__( 'Color', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// slidebar link
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_sidebar_widget_link_color',
	'label'			 => esc_html__( 'Link Color', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area a',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_sidebar_widget_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_sidebar_widgets_border_color',
	'label'			 => esc_html__( 'Border Bottom To Archive Widget', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.wp-block-archives-list li, .wp-block-latest-comments li',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_latest_post_heading_typo',
	'label'       => esc_html__( 'Latest Post Widget : Post Title', 'narihealth' ),
	'section'     => 'narihealth_side_widget_section',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.wp-block-latest-posts li',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_latest_post_heading_Color',
	'label'			 => esc_html__( 'Color: For Blog / Page Sidebar Only', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-latest-posts a',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_archive_category_widget_typo',
	'label'       => esc_html__( 'Archive / Category Widget', 'narihealth' ),
	'section'     => 'narihealth_side_widget_section',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.wp-block-categories-list a, .wp-block-archives-list a',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_archive_category_widget_color',
	'label'			 => esc_html__( 'Color : For Blog / Page Sidebar Only', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-categories-list a, .dtr-widget-area .wp-block-archives-list a',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_archive_category_widget__hover_color',
	'label'			 => esc_html__( 'Hover Color : For Blog / Page Sidebar Only', 'narihealth' ),
	'section'		 => 'narihealth_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-categories-list li:hover a, .dtr-widget-area .wp-block-archives-list li:hover a',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// social starts
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_social_bg_light_info',
	'label'		 =>  '',
	'section'	 => 'narihealth_section_social_typo',
	'default'	 => '<div style="padding: 20px;background-color: #333; color: #fff;">' . esc_html__( 'Color Scheme For Light Backgrounds. Applicable for - Circle and Square style.', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_social_bg_color',
	'label'			 => esc_html__( 'Social Icon Background color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_social_color',
	'label'			 => esc_html__( 'Social Icon color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_social_border_color',
	'label'			 => esc_html__( 'Social Icon Border color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_social_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_social_hover_color',
	'label'			 => esc_html__( 'Hover: color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_social_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );

// dark bg social
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_social_bg_dark_info',
	'label'		 =>  '',
	'section'	 => 'narihealth_section_social_typo',
	'default'	 => '<div style="padding: 20px;background-color: #333; color: #fff;">' . esc_html__( 'Color Scheme For Dark Backgrounds. Applicable for - Circle and Square style.', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_dark_social_bg_color',
	'label'			 => esc_html__( 'Social Icon Background color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_dark_social_color',
	'label'			 => esc_html__( 'Social Icon color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_dark_social_border_color',
	'label'			 => esc_html__( 'Social Icon Border color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_dark_social_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_dark_social_hover_color',
	'label'			 => esc_html__( 'Hover: color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_dark_social_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border color', 'narihealth' ),
	'section'		 => 'narihealth_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );
// social ends


// social starts
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_contact_widget_info',
	'label'		 =>  '',
	'section'	 => 'narihealth_section_contact_widget',
	'default'	 => '<div style="padding: 20px;background-color: #333; color: #fff;">' . esc_html__( 'Contact Button Widget', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_contact_widget_bg_color',
	'label'			 => esc_html__( 'Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_contact_widget',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-contact' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_contact_widget_icon_bg_color',
	'label'			 => esc_html__( 'Icon - Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_contact_widget',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-contact__icon' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_contact_widget_icon_color',
	'label'			 => esc_html__( 'Icon - Color', 'narihealth' ),
	'section'		 => 'narihealth_section_contact_widget',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-contact__icon' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_contact_widget_main_typo',
	'label'       => esc_html__( 'Main Text', 'narihealth' ),
	'section'     => 'narihealth_section_contact_widget',
	'default'     => array(
		'font-family'    => '',
        'color'          => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-contact__main-text',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_contact_widget_sub_typo',
	'label'       => esc_html__( 'Sub Text', 'narihealth' ),
	'section'     => 'narihealth_section_contact_widget',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
        'color'          => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-contact__sub-text',
		),
	),
) );
