<?php
/**
 * Layout Panel Sections
 */
function narihealth_kirki_section_footer( $wp_customize ) {
	$wp_customize->add_section( 'narihealth_section_footer_settings', array(
		'title'			 => esc_html__( 'Footer - General Settings', 'narihealth' ),
		'panel'			 => 'narihealth_panel_footer',
	) );
	$wp_customize->add_section( 'narihealth_section_footer_style_settings', array(
		'title'			 => esc_html__( 'Footer - Styles', 'narihealth' ),
		'panel'			 => 'narihealth_panel_footer',
	) );
	$wp_customize->add_section( 'narihealth_section_footer_typo', array(
		'title'			 => esc_html__( 'Footer - Typography', 'narihealth' ),
		'panel'			 => 'narihealth_panel_footer',
	) );
	$wp_customize->add_section( 'narihealth_section_copyright_typo', array(
		'title'			 => esc_html__( 'Copyright - Typography', 'narihealth' ),
		'panel'			 => 'narihealth_panel_footer',
	) );
	$wp_customize->add_section( 'narihealth_section_scroll_top', array(
		'title'			 => esc_html__( 'Scroll To Top', 'narihealth' ),
		'panel'			 => 'narihealth_panel_footer',
	) );
}
add_action( 'customize_register', 'narihealth_kirki_section_footer' );