<?php
// accent one
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_help_settings_accent_one',
	'label'		 => '',
	'section'	 => 'narihealth_section_basecolors',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #27115f; color: #fff;">' . esc_html__( 'Primary Color', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_accent_one',
	'label'			 => esc_html__( 'Primary Color', 'narihealth' ),
	'section'		 => 'narihealth_section_basecolors',
	'priority'		 => 10,
	'default'        => '',
	'css_vars'       => array(
		array( '--dtr-primary' ),
		),
	'transport'		 => 'postMessage',
) );

// accent one light
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_help_settings_accent_one_light',
	'label'		 => '',
	'section'	 => 'narihealth_section_basecolors',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #f4f3ff; color: #27115f;">' . esc_html__( 'Primary Color - Light', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_accent_one_light',
	'label'			 => esc_html__( 'Primary Color - Light', 'narihealth' ),
	'section'		 => 'narihealth_section_basecolors',
	'priority'		 => 10,
	'default'        => '',
	'css_vars'       => array(
		array( '--dtr-primary-light' ),
		),
	'transport'		 => 'postMessage',
) );

// accent one light var
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_help_settings_accent_one_light_var',
	'label'		 => '',
	'section'	 => 'narihealth_section_basecolors',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #d9d6fe; color: #27115f;">' . esc_html__( 'Primary Color - Light Variation', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_accent_one_light_var',
	'label'			 => esc_html__( 'Primary Color - Light Variation', 'narihealth' ),
	'section'		 => 'narihealth_section_basecolors',
	'priority'		 => 10,
	'default'        => '',
	'css_vars'       => array(
		array( '--dtr-primary-light-var' ),
		),
	'transport'		 => 'postMessage',
) );

// accent two
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_help_settings_accent_two',
	'label'		 => '',
	'section'	 => 'narihealth_section_basecolors',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #c11574; color: #fff;">' . esc_html__( 'Secondary Color', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_accent_two',
	'label'			 => esc_html__( 'Secondary Color', 'narihealth' ),
	'section'		 => 'narihealth_section_basecolors',
	'priority'		 => 10,
	'default'        => '',
	'css_vars'       => array(
		array( '--dtr-secondary' ),
		),
	'transport'		 => 'postMessage',
) );

// accent two light
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_help_settings_accent_two_light',
	'label'		 => '',
	'section'	 => 'narihealth_section_basecolors',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #efc4dc; color: #27115f;">' . esc_html__( 'Secondary Color - Light', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_accent_two_light',
	'label'			 => esc_html__( 'Secondary Color - Light', 'narihealth' ),
	'section'		 => 'narihealth_section_basecolors',
	'priority'		 => 10,
	'default'        => '',
	'css_vars'       => array(
		array( '--dtr-secondary-light' ),
		),
	'transport'		 => 'postMessage',
) );