<?php
/**
 * Blog Panel Sections
 */
function narihealth_kirki_section_blog( $wp_customize ) {
	$wp_customize->add_section( 'narihealth_section_archive_settings', array(
		'title'			 => esc_html__( 'Blog / Archives', 'narihealth' ),
		'panel'			 => 'narihealth_panel_blog',
	) );
	$wp_customize->add_section( 'narihealth_section_blog_archives_typo', array(
		'title'			 => esc_html__( 'Blog / Archives - Typography', 'narihealth' ),
		'panel'			 => 'narihealth_panel_blog',
	) );
	$wp_customize->add_section( 'narihealth_section_single_settings', array(
		'title'			 => esc_html__( 'Single Post', 'narihealth' ),
		'panel'			 => 'narihealth_panel_blog',
	) );
	$wp_customize->add_section( 'narihealth_section_blog_single_typo', array(
		'title'			 => esc_html__( 'Blog Single Post - Typography', 'narihealth' ),
		'panel'			 => 'narihealth_panel_blog',
	) );
	$wp_customize->add_section( 'narihealth_section_blog_general_settings', array(
		'title'			 => esc_html__( 'General / Common', 'narihealth' ),
		'panel'			 => 'narihealth_panel_blog',
	) );
	$wp_customize->add_section( 'narihealth_section_blog_page_title_settings', array(
		'title'			 => esc_html__( 'Blog Page Title / Description', 'narihealth' ),
		'panel'			 => 'narihealth_panel_blog',
	) );
	$wp_customize->add_section( 'narihealth_section_blog_featured_img_settings', array(
		'title'			 => esc_html__( 'Featured Image', 'narihealth' ),
		'panel'			 => 'narihealth_panel_blog',
	) );
	$wp_customize->add_section( 'narihealth_section_post_share_settings', array(
		'title'			 => esc_html__( 'Social Share', 'narihealth' ),
		'panel'			 => 'narihealth_panel_blog',
	) );
	$wp_customize->add_section( 'narihealth_section_pagination_settings', array(
		'title'			 => esc_html__( 'Pagination', 'narihealth' ),
		'panel'			 => 'narihealth_panel_blog',
	) );
}
add_action( 'customize_register', 'narihealth_kirki_section_blog' );