<?php
/**
 * Layout Panel Sections
 */
function narihealth_kirki_section_header( $wp_customize ) {
	$wp_customize->add_section( 'narihealth_section_header_general_settings', array(
		'title'			 => esc_html__( 'General Settings', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_main_header_settings', array(
		'title'			 => esc_html__( 'Main Header Row', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_mainheader_widget_typo', array(
		'title'			 => esc_html__( 'Widgets in Main Header Row - Typography', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_topbar_settings', array(
		'title'			 => esc_html__( 'Topbar', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_topbar_typo', array(
		'title'			 => esc_html__( 'Topbar - Typography', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_menu_typo', array(
		'title'			 => esc_html__( 'Menu - Typography', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_header_button_settings', array(
		'title'			 => esc_html__( 'Button in Header', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_header_search_typo', array(
		'title'			 => esc_html__( 'Header Search', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_sticky_header_settings', array(
		'title'			 => esc_html__( 'Header : On Scroll', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_mobile_header_settings', array(
		'title'			 => esc_html__( 'Responsive Header', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_page_title_settings', array(
		'title'			 => esc_html__( 'Page Title Section', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
    $wp_customize->add_section( 'narihealth_section_single_page_title_settings', array(
		'title'			 => esc_html__( 'Single Post - Page Title Section', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_page_title_typo', array(
		'title'			 => esc_html__( 'Page Title / Archives Page Title - Typography', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_page_title_combo_settings', array(
		'title'			 => esc_html__( 'Page Title Section - Align / ON / OFF', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
	$wp_customize->add_section( 'narihealth_section_breadcrumb_settings', array(
		'title'			 => esc_html__( 'Breadcrumb', 'narihealth' ),
		'panel'			 => 'narihealth_panel_header',
	) );
}
add_action( 'customize_register', 'narihealth_kirki_section_header' );