<?php
/**
 * The default template for displaying content of search results
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
$readmore = get_theme_mod( 'narihealth_read_more_text', esc_html__( 'Read More', 'narihealth') ); ?>
<div class="dtr-search-item">
    <div class="dtr-search-item-inner">
        <?php if ( has_post_thumbnail() ) { ?>
        <div class="dtr-entry-thumb"> <?php echo '<a href="' .  esc_url( get_permalink() ) . '">' . get_the_post_thumbnail( $post->ID, 'full', array( 'title' => '' ) ) . '</a>';  ?> </div>
        <?php } ?>
        <?php the_title( sprintf( '<h5 class="dtr-search-post-title"><a href="%s">', esc_url( get_permalink() ) ), '</a></h5>' ); ?>
        <?php 
		if ( has_excerpt() ) {
			$excerpt = the_excerpt();
		} else {
			$excerpt = ''; 
		} ?>
        <p class="dtr-post__link-wrap"><a href="<?php the_permalink(); ?>" class="dtr-link dtr-post__button"><span class="dtr-link__text"><?php echo esc_html( $readmore ); ?></span></a></p>
    </div>
</div>