<?php
/**
 * Template for displaying single post content
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} ?>
<div class="dtr-post-content clearfix" <?php narihealth_schema_markup( 'entry_content' ); ?>>
	<?php  the_content();  ?>
</div>
<?php 
	// page numbers
	wp_link_pages( array(
		'before'      => '<span class="clearfix"></span><div class="dtr-page-links">' . esc_html__( 'Pages:', 'narihealth' ),
		'after'       => '</div>',
		'link_before' => '<span class="dtr-page-number">',
		'link_after'  => '</span>',
	) );