<?php
/**
 * Blog post archive meta
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
// meta
if ( 'show' == get_theme_mod( 'narihealth_blog_page_sticky_enable', 'show' ) && is_sticky() || 'show' == get_theme_mod( 'narihealth_blog_page_date_enable', 'show' ) || 'show' == get_theme_mod( 'narihealth_blog_page_author_enable', 'show' ) ) { ?>
<div class="dtr-meta dtr-entry-meta"> 
    <?php if (  'show' == get_theme_mod( 'narihealth_blog_page_author_enable', 'show' ) ) { ?>
    <div class="dtr-meta-item dtr-meta-author"><span class="vcard author" <?php narihealth_schema_markup( 'author_name' ); ?>><span class="fn" <?php narihealth_schema_markup( 'author_link' ); ?>> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ?>"><?php echo esc_html( get_the_author() ) ?></a> </span></span></div>
    <?php } ?>
    <?php if ( 'show' == get_theme_mod( 'narihealth_blog_page_category_enable', 'show' ) ) { ?>
    <div class="dtr-meta-item dtr-archive-category">
        <?php the_category( ', ', get_the_ID() ); ?>
    </div>
    <?php } ?>
    <?php if ( 'show' == get_theme_mod( 'narihealth_blog_page_date_enable', 'show' ) ) { ?>
    <div class="dtr-meta-item dtr-meta-date"><span class="entry-date updated" <?php narihealth_schema_markup( 'publish_date' ); ?>><?php echo esc_html( get_the_date() ); ?></span></div>
    <?php } ?>
</div>
<?php }